%define VERSION	1.50
%define README_VERSION	1.5x
%define RELEASE	2

%set_verify_elf_method none

%ifarch x86_64
%define libs32	/usr/lib
%else
%define libs32	%_libdir
%endif

Summary: Canon CAPT Printer Driver for Linux v%VERSION
Name: cndrvcups-capt
Version: %VERSION
Release: alt0.S40
License: See the LICENSE*.txt file.
# Copyright: Copyright CANON INC. 2004-2007. All Rights Reserved.
Vendor: CANON INC.
Group: Publishing

Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: cndrvcups-capt-%version-%release.tar.gz

Requires: cndrvcups-common >= %version
BuildRequires: cndrvcups-common >= %version libxml2-devel gcc-c++ gtk+-devel gtk+ glib2-devel libcups-devel
ExclusiveArch: i586


%description
Canon CAPT Printer Driver for Linux.
This CAPT printer driver provides printing functions for Canon LBP printers
operating under the CUPS (Common UNIX Printing System) environment.

%prep
%setup -q

cd driver
./autogen.sh --prefix=%prefix --libdir=%_libdir --enable-progpath=%_bindir --disable-static
cd -
cd backend
./autogen.sh --prefix=%prefix --libdir=%_libdir --enable-progpath=%_bindir
cd -
cd pstocapt
./autogen.sh --prefix=%prefix --libdir=%_libdir --enable-progpath=%_bindir
cd -
cd pstocapt2
./autogen.sh --prefix=%prefix --libdir=%_libdir --enable-progpath=%_bindir
cd -
cd pstocapt3
./autogen.sh --prefix=%prefix --libdir=%_libdir --enable-progpath=%_bindir
cd -
cd ppd
./autogen.sh --prefix=%prefix
cd -
cd statusui
set `automake --version`
am_ver=`expr substr $4 1 3`
case $am_ver in
  "1.4" | "1.5" )
	./autogen-old.sh --libdir=%_libdir ;;
  * )
	./autogen.sh --libdir=%_libdir ;;
esac

%build
make

%install
mkdir -pv %buildroot%_bindir
mkdir -pv %buildroot%_sbindir
mkdir -pv %buildroot%prefix/local/bin
mkdir -pv %buildroot%_libdir/cups/backend
mkdir -pv %buildroot%_libdir/cups/filter
mkdir -pv %buildroot%prefix/local/share/locale/ja/LC_MESSAGES
mkdir -pv %buildroot%_datadir/ccpd
mkdir -pv %buildroot%_datadir/captmon
mkdir -pv %buildroot%_datadir/captmon2
mkdir -pv %buildroot%_datadir/captemon
mkdir -pv %buildroot%_datadir/cups/model
mkdir -pv %buildroot%_docdir/%name-%version/JP
mkdir -pv %buildroot%_docdir/%name-%version/EN
mkdir -pv %buildroot%_initdir
mkdir -pv %buildroot%_datadir/caepcm
mkdir -pv %buildroot%libs32

%makeinstall_std

install -c -s -m 755 libs/captmon/captmon       	%buildroot%_bindir
install -c -s -m 755 libs/captmon2/captmon2    	 	%buildroot%_bindir
install -c -s -m 755 libs/captfilter    		%buildroot%_bindir
install -c    -m 755 libs/ccpddata/CNAB1CL.BIN   	%buildroot%_datadir/ccpd
install -c    -m 755 libs/ccpddata/CNAC4CL.BIN   	%buildroot%_datadir/ccpd
install -c    -m 755 libs/ccpddata/CNAC5CL.BIN   	%buildroot%_datadir/ccpd
install -c    -m 755 libs/ccpddata/cnab6cl.bin   	%buildroot%_datadir/ccpd
install -c    -m 755 libs/captmon/msgtable.xml   	%buildroot%_datadir/captmon
install -c    -m 755 libs/captmon2/msgtable2.xml  	%buildroot%_datadir/captmon2
install -c -s -m 755 libs/ccpd          		%buildroot%_sbindir
install -c -s -m 755 libs/ccpdadmin     		%buildroot%_sbindir
install -c    -m 755 samples/ccpd.conf   		%buildroot/etc
install -c    -m 755 samples/ccpd        		%buildroot%_initdir

install -c -s -m 755 libs/captemon/captmonlbp5000      	%buildroot%_bindir
install -c -s -m 755 libs/captemon/captmonlbp3300      	%buildroot%_bindir
install -c    -m 755 libs/captemon/msgtablelbp5000.xml  %buildroot%_datadir/captemon
install -c    -m 755 libs/captemon/msgtablelbp3300.xml  %buildroot%_datadir/captemon
install -c -s -m 755 libs/captemon/captmoncnac5        	%buildroot%_bindir
install -c -s -m 755 libs/captemon/captmoncnab6        	%buildroot%_bindir
install -c    -m 755 libs/captemon/msgtablecnac5.xml    %buildroot%_datadir/captemon
install -c    -m 755 libs/captemon/msgtablecnab6.xml    %buildroot%_datadir/captemon

install -c    -m 644 data/CNL8*	%buildroot%_datadir/caepcm
install -c    -m 644 data/CNL7*	%buildroot%_datadir/caepcm
install -c    -m 644 data/CnA*	%buildroot%_datadir/caepcm

install -c -s -m 755 libs/libcaptfilter.so.1.0.0	%buildroot%libs32
install -c    -m 755 libs/libcaiocaptnet.so.1.0.0	%buildroot%libs32
install -c    -m 755 libs/libcncaptnpm.so.1.0.1		%buildroot%libs32
install -c    -m 755 libs/captdrv			%buildroot%_bindir

mv %buildroot/%prefix/local/bin/* %buildroot/%_bindir/

cd %buildroot%libs32
ln -sf libcaiocaptnet.so.1.0.0	libcaiocaptnet.so.1
ln -sf libcaiocaptnet.so.1.0.0	libcaiocaptnet.so
ln -sf libcncaptnpm.so.1.0.1	libcncaptnpm.so.1
ln -sf libcncaptnpm.so.1.0.1	libcncaptnpm.so
ln -sf libcaptfilter.so.1.0.0	libcaptfilter.so.1
ln -sf libcaptfilter.so.1.0.0	libcaptfilter.so
cd -

%pre
%post
if [ ! -d /var/ccpd ] ; then
	mkdir /var/ccpd
	mkfifo -m 600 /var/ccpd/fifo0
	mkfifo -m 600 /var/ccpd/fifo1
	mkfifo -m 600 /var/ccpd/fifo2
	mkfifo -m 600 /var/ccpd/fifo3
	mkfifo -m 600 /var/ccpd/fifo4
	mkfifo -m 600 /var/ccpd/fifo5
	mkfifo -m 600 /var/ccpd/fifo6
	mkfifo -m 600 /var/ccpd/fifo7

	chown lp.lp /var/ccpd/*
fi
if [ ! -d /var/captmon ] ; then
	mkdir /var/captmon
	chown lp.lp /var/captmon
fi

if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

# /sbin/chkconfig --add ccpd

%preun
# if [ "$1" = 0 ] ; then
#	/sbin/service ccpd stop > /dev/null 2>&1
#	/sbin/chkconfig --del ccpd
# fi
# exit 0

%postun
if [ "$1" = 0 ] ; then
	rm -Rf /var/ccpd
	rm -Rf /var/captmon
# else
#	/sbin/service ccpd restart > /dev/null 2>&1
fi

if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%files
%_libdir/cups/backend/ccp
%_libdir/cups/filter/pstocapt
%_libdir/cups/filter/pstocapt2
%_libdir/cups/filter/pstocapt3
%_libdir/libcanoncapt.*
%prefix/bin/captstatusui
#%prefix/local/share/locale/ja/LC_MESSAGES/captstatusui.mo
%_datadir/cups/model/CNCUPS*CAPT*.ppd
%_datadir/ccpd/CNAB1CL.BIN
%_datadir/ccpd/CNAC4CL.BIN
%_datadir/ccpd/CNAC5CL.BIN
%_datadir/ccpd/cnab6cl.bin
%_datadir/captmon/msgtable.xml
%_datadir/captmon2/msgtable2.xml
%_bindir/captmon
%_bindir/captmon2
%_bindir/captfilter
%_sbindir/ccpd
%_sbindir/ccpdadmin
%_bindir/captmonlbp5000
%_bindir/captmonlbp3300
%_bindir/captmoncnac5
%_bindir/captmoncnab6
%_datadir/captemon/msgtablelbp5000.xml
%_datadir/captemon/msgtablelbp3300.xml
%_datadir/captemon/msgtablecnac5.xml
%_datadir/captemon/msgtablecnab6.xml

%_datadir/caepcm/C*
%_bindir/captdrv
%libs32/libcaptfilter.so*
%libs32/libcaiocaptnet.so*
%libs32/libcncaptnpm.so*

%config(noreplace) %_sysconfdir/ccpd.conf
%config		%_initrddir/ccpd

%doc README-capt-%{README_VERSION}E.txt
%doc README-capt-%{README_VERSION}J.txt
%doc LICENSE-capt-%{version}E.txt
%doc LICENSE-capt-%{version}J.txt

%changelog
* Wed Jun 18 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.50-alt0.S40
- build for school branch

* Tue Jun 17 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.50-alt1
- Initial

